

void orthochangecoord(double A[][MAX_DIM+1], double C[][MAX_DIM+1],
      double T[][MAX_DIM+1],int pdim);



int sym_m_diagonalize(double S[][MAX_DIM+1], double D[][MAX_DIM+1],
         double C[][MAX_DIM+1], int initCoordC,int *rotno,int pdim);
 /* diagonalization of a  S'=(S^T + S)/2

    indexing of matrices starts form 1
   on output - return 1 if success
                      0 if fail

    in case of success
          S'=C D C^T;      C^t S' C = D

    C- is orthogonal (nearly - up to computation errors)
    D- is diagonal (nearly - up to some fixed accuracy)

    then
     columns of C - eigenvectors
                D - eigenvalues

   rotno - is a number of rotations needed
  ----------------------

  if on input intCoordC=1
    then we first try to use matrix C (input values) as first rotation
  otherwise we start with identity
  */


void sorteigenvalues(double D[MAX_DIM+1][MAX_DIM+1],
    double C[MAX_DIM+1][MAX_DIM+1],int pdim);
 // input values are matrices from the diagonalizaton
  // D - is almost diagonal
  // C - eignevectors
